<template>
  <web-view v-if="src" @message="getMessage" ref="webview" :src="src">
  </web-view>
</template>

<script>
export default {
  data() {
    return {
      src: "",
    };
  },
  onLoad(op) {
    const userInfo = uni.getStorageSync("userInfo");
    this.src = `https://wap.nbxlmy.com?name=${userInfo.name}&name2=${op.name2}&avatar=${userInfo.avatar}&type=1&userID=${op.userId}&SDKAppID=${op.appid}&myUserID=${op.myUserId}&userSig=${op.key}&avatar2=${op.avatarurl}`;
    console.log(this.src, "  this.src");
  },
  mounted() {
    console.log(this.$refs);
  },
  methods: {
    getMessage(e) {
      if (e) {
      }
    },
  },
};
</script>
<style></style>
